Subject: bug#41242: Port feature/native-comp to Windows - Determine the emacs root dir...

From: Andrea Corallo <[email-masked]>
Date: Fri, 29 May 2020 14:26:37 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], Eli Zaretskii <[email-masked]>
>> Date: Fri, 29 May 2020 12:12:49 +0000
>> 
>> question: what if instead of using Ffile_exists we just use fopen to
>> check if the file exists in dump_do_dump_relocation?
>> 
>> I think the origin of "the trouble" is just there while checking if a
>> file exists, the path in discussion should be already absolute by
>> construction so I suspect we do not need Fexpand_file to come into play.
>
> Will that work if the files were moved?

I think so yes, the absolute path under discussion is generated on
purpose using Vinvocation_directory as follow:

pdumper.c:5304
=====
	if (installation_state == UNKNOWN)
	  /* Check just once if is a local build or Emacs got installed. */
	  installation_state =
	    NILP (Ffile_exists_p (concat2 (Vinvocation_directory,
					   XCAR (comp_u->file))))
	    ? LOCAL_BUILD : INSTALLED;
====

  Andrea

-- 
[email-masked]